<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.213
Name: Clinical Information Section (with specimen)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000">
   <title>Clinical Information Section (with specimen)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]
Item: (ClinicalInformationSectionwithspecimen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']
Item: (ClinicalInformationSectionwithspecimen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']"
         id="d110e4606-false-d79111e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="string(@classCode)=('DOCSECT')">(ClinicalInformationSectionwithspecimen): de waarde van @classCode MOET 'DOCSECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.2.1'])&lt;=1">(ClinicalInformationSectionwithspecimen): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.2.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.213'])&gt;=1 ">(ClinicalInformationSectionwithspecimen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.213'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.213'])&lt;=1">(ClinicalInformationSectionwithspecimen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.213'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:code[(@code='22636-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='22636-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ClinicalInformationSectionwithspecimen): element hl7:code[(@code='22636-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:code[(@code='22636-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ClinicalInformationSectionwithspecimen): element hl7:code[(@code='22636-5' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(ClinicalInformationSectionwithspecimen): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:title)&lt;=1">(ClinicalInformationSectionwithspecimen): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ClinicalInformationSectionwithspecimen): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:text)&lt;=1">(ClinicalInformationSectionwithspecimen): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.384']])&gt;=1 ">(ClinicalInformationSectionwithspecimen): element hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.384']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.2.1']
Item: (ClinicalInformationSectionwithspecimen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.2.1']"
         id="d110e4610-false-d79199e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalInformationSectionwithspecimen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.8.1.2.1')">(ClinicalInformationSectionwithspecimen): de waarde van @root MOET '1.3.6.1.4.1.19376.1.8.1.2.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.213']
Item: (ClinicalInformationSectionwithspecimen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.213']"
         id="d110e4615-false-d79217e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalInformationSectionwithspecimen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.213')">(ClinicalInformationSectionwithspecimen): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.213' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']/hl7:code[(@code='22636-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ClinicalInformationSectionwithspecimen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']/hl7:code[(@code='22636-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d110e4620-false-d79235e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalInformationSectionwithspecimen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="@nullFlavor or (@code='22636-5' and @codeSystem='2.16.840.1.113883.6.1')">(ClinicalInformationSectionwithspecimen): de elementwaarde MOET een zijn van 'code '22636-5' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']/hl7:title
Item: (ClinicalInformationSectionwithspecimen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']/hl7:title"
         id="d110e4625-false-d79256e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalInformationSectionwithspecimen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="text()='Klinische gegevens'">(ClinicalInformationSectionwithspecimen): de element content van hl7:title MOET ''Klinische gegevens'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']/hl7:text
Item: (ClinicalInformationSectionwithspecimen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']/hl7:text"
         id="d110e4632-false-d79274e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalInformationSectionwithspecimen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.213
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.384']]
Item: (ClinicalInformationSectionwithspecimen)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.213']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.384']]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.html"
              test="string(@typeCode)=('DRIV')">(ClinicalInformationSectionwithspecimen): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
