<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.215
Name: Plan of Care Section (bmh)
Description: Plan of Care Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000">
   <title>Plan of Care Section (bmh)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.215
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']]
Item: (PlanOfCareSectionbmh)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.215
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']
Item: (PlanOfCareSectionbmh)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']"
         id="d110e4742-false-d79560e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.215'])&gt;=1 ">(PlanOfCareSectionbmh): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.215'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.215'])&lt;=1">(PlanOfCareSectionbmh): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.215'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="count(hl7:code[(@code='18776-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='18776-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(PlanOfCareSectionbmh): element hl7:code[(@code='18776-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="count(hl7:code[(@code='18776-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(PlanOfCareSectionbmh): element hl7:code[(@code='18776-5' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="count(hl7:title)&gt;=1 ">(PlanOfCareSectionbmh): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="count(hl7:title)&lt;=1">(PlanOfCareSectionbmh): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(PlanOfCareSectionbmh): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="count(hl7:text)&lt;=1">(PlanOfCareSectionbmh): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="count(hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']])&lt;=1">(PlanOfCareSectionbmh): element hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.215
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.215']
Item: (PlanOfCareSectionbmh)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.215']"
         id="d110e4744-false-d79636e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PlanOfCareSectionbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.215')">(PlanOfCareSectionbmh): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.215' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.215
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']/hl7:code[(@code='18776-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (PlanOfCareSectionbmh)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']/hl7:code[(@code='18776-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d110e4749-false-d79654e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PlanOfCareSectionbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="@nullFlavor or (@code='18776-5' and @codeSystem='2.16.840.1.113883.6.1')">(PlanOfCareSectionbmh): de elementwaarde MOET een zijn van 'code '18776-5' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.215
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']/hl7:title
Item: (PlanOfCareSectionbmh)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']/hl7:title"
         id="d110e4754-false-d79675e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PlanOfCareSectionbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="text()='Advies'">(PlanOfCareSectionbmh): de element content van hl7:title MOET ''Advies'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.215
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']/hl7:text
Item: (PlanOfCareSectionbmh)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']/hl7:text"
         id="d110e4760-false-d79693e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PlanOfCareSectionbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.215
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']/hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']]
Item: (PlanOfCareSectionbmh)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.215']/hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.html"
              test="string(@typeCode)=('DRIV')">(PlanOfCareSectionbmh): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
