<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.371
Name: Followup arranged
Description: Template: Periode vervolg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000">
   <title>Followup arranged</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]
Item: (Followuparranged)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']
Item: (Followuparranged)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']"
         id="d110e10665-false-d124928e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="string(@classCode)=('OBS')">(Followuparranged): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="string(@moodCode)=('EVN')">(Followuparranged): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.371'])&gt;=1 ">(Followuparranged): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.371'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.371'])&lt;=1">(Followuparranged): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.371'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="count(hl7:code[(@code='183616001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='183616001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Followuparranged): element hl7:code[(@code='183616001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="count(hl7:code[(@code='183616001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Followuparranged): element hl7:code[(@code='183616001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Followuparranged): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Followuparranged): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="count(hl7:value)&lt;=1">(Followuparranged): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.371']
Item: (Followuparranged)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.371']"
         id="d110e10671-false-d124990e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Followuparranged): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.371')">(Followuparranged): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.371' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']/hl7:code[(@code='183616001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Followuparranged)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']/hl7:code[(@code='183616001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d110e10676-false-d125008e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Followuparranged): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="@nullFlavor or (@code='183616001' and @codeSystem='2.16.840.1.113883.6.96')">(Followuparranged): de elementwaarde MOET een zijn van 'code '183616001' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']/hl7:text
Item: (Followuparranged)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']/hl7:text"
         id="d110e10681-false-d125029e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Followuparranged): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Followuparranged): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="count(hl7:reference)&lt;=1">(Followuparranged): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']/hl7:text/hl7:reference
Item: (Followuparranged)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']/hl7:text/hl7:reference"
         id="d110e10683-false-d125055e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Followuparranged): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']/hl7:value
Item: (Followuparranged)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']/hl7:value"
         id="d110e10687-false-d125069e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Followuparranged): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="(@nullFlavor or (@unit='mo'))">(Followuparranged): value MOET eenheid 'mo' gebruiken </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="$digitok or @nullFlavor">(Followuparranged): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Followuparranged): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
