<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.385
Name: Plan of treatment (bmh)
Description: Template: Planoftreatment (bmh)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000">
   <title>Plan of treatment (bmh)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.385
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']]
Item: (Planoftreatmentbmh)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.385
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']
Item: (Planoftreatmentbmh)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']"
         id="d110e11498-false-d127798e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="string(@classCode)=('PCPR')">(Planoftreatmentbmh): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="string(@moodCode)=('INT')">(Planoftreatmentbmh): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.385'])&gt;=1 ">(Planoftreatmentbmh): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.385'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.385'])&lt;=1">(Planoftreatmentbmh): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.385'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)]/@nullFlavor)">(Planoftreatmentbmh): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)])&lt;=1">(Planoftreatmentbmh): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="count(hl7:text)&lt;=1">(Planoftreatmentbmh): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.385
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.385']
Item: (Planoftreatmentbmh)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.385']"
         id="d110e11504-false-d127849e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Planoftreatmentbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.385')">(Planoftreatmentbmh): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.385' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.385
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)]
Item: (Planoftreatmentbmh)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)]"
         id="d110e11509-false-d127868e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Planoftreatmentbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Planoftreatmentbmh): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.101 Advies BMHK (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Planoftreatmentbmh): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.36.77.11.101 Advies BMHK (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.385
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']/hl7:text
Item: (Planoftreatmentbmh)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']/hl7:text"
         id="d110e11514-false-d127896e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Planoftreatmentbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Planoftreatmentbmh): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="count(hl7:reference)&lt;=1">(Planoftreatmentbmh): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.385
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']/hl7:text/hl7:reference
Item: (Planoftreatmentbmh)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.385']/hl7:text/hl7:reference"
         id="d110e11516-false-d127922e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20160427T100527/tmp-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Planoftreatmentbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
</pattern>
